diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/examples/hash-example.cc ns-3.31/src/core/examples/hash-example.cc
--- ns-3.30.1/src/core/examples/hash-example.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/examples/hash-example.cc	2020-06-27 17:38:30.000000000 -0700
@@ -102,32 +102,31 @@
    \endverbatim
  */
 
-namespace ns3
-{
+namespace ns3 {
 
 NS_LOG_COMPONENT_DEFINE ("Hasher");
 
-namespace Hash
-{
+namespace Hash {
 
 /**
  * \ingroup hash
  *  Namespace for hasher-example.
 */
-namespace Example
-{
-  
+namespace Example {
+
 /**
  * Keep track of collisions
  */
-class Collider {
+class Collider
+{
 
 public:
   std::string m_name;                   /**< Name of this hash. */
   Hasher      m_hash;                   /**< The hash. */
 
   /** The size of hash function being tested. */
-  enum Bits {
+  enum Bits
+  {
     Bits32,                             /**< Use 32-bit hash function. */
     Bits64                              /**< Use 64-bit hash function. */
   };
@@ -149,12 +148,12 @@
    * Add a string to the Collider.
    *
    * \param [in] phrase The string to add.
-   * \return true If this was a new string.
+   * \return \c true If this was a new string.
    */
   bool Add (const std::string phrase)
   {
     uint64_t h = GetHash (phrase);
-    
+
     // Check for collisions
     if (m_dict.count (h) > 0)
       {
@@ -168,14 +167,14 @@
         // new phrase generating a real collision
         // alphabetize
         if ( m_dict[h] < phrase)
-          {       
+          {
             m_coll.push_back (std::make_pair (h, phrase));
           }
         else
           {
             m_coll.push_back (std::make_pair (h, m_dict[h]));
             m_dict[h] = phrase;
-          }            
+          }
       }
     else
       {
@@ -194,9 +193,11 @@
 
     switch (m_bits)
       {
+        /* *NS_CHECK_STYLE_OFF* */
       case Bits32:   name += " (32-bit version)";  break;
       case Bits64:   name += " (64-bit version)";  break;
       default:       name += " (unknown!?!)";
+        /* *NS_CHECK_STYLE_ON* */
       }
     return name;
   }
@@ -205,26 +206,23 @@
   void Report () const
   {
     std::cout << std::endl;
-    
+
     std::cout << GetName () << ": " << m_coll.size () << " collisions:"
               << std::endl;
-    for (collision_t::const_iterator it = m_coll.begin ();
-         it != m_coll.end ();
-         ++it)
-      {
-        uint64_t h = it->first;
-        
-        std::cout << std::setfill ('0') << std::hex << std::setw(8) << h
-                  << std::dec << std::setfill(' ')  << "  "
-                  << std::setw(20) << std::left
+    for (auto collision : m_coll)
+      {
+        uint64_t h = collision.first;
+
+        std::cout << std::setfill ('0') << std::hex << std::setw (8) << h
+                  << std::dec << std::setfill (' ')  << "  "
+                  << std::setw (20) << std::left
                   << m_dict.find (h)->second
-                  << it->second
+                  << collision.second
                   << std::right
                   << std::endl;
       }
   }  // Report ()
 
-  
 private:
 
   /**
@@ -234,24 +232,24 @@
    * \return The hash value, using the number of bits set in the constructor.
    */
   uint64_t GetHash (const std::string phrase)
-    {
-      m_hash.clear ();
-      uint64_t h = 0;
+  {
+    m_hash.clear ();
+    uint64_t h = 0;
 
-      if (m_bits == Bits32)
-        {
-          h = m_hash.GetHash32 (phrase);
-        }
-      else
-        {
-          h = m_hash.GetHash64 (phrase);
-        }
-      return h;
-    }
+    if (m_bits == Bits32)
+      {
+        h = m_hash.GetHash32 (phrase);
+      }
+    else
+      {
+        h = m_hash.GetHash64 (phrase);
+      }
+    return h;
+  }
 
   /** Hash function. */
   enum Bits m_bits;
-  
+
   /** Hashed dictionary of first instance of each hash. */
   typedef std::map <uint64_t, std::string> hashdict_t;
 
@@ -262,15 +260,16 @@
   typedef std::vector < std::pair<uint64_t, std::string> > collision_t;
 
   /** The list of collisions. */
-  collision_t m_coll;            
+  collision_t m_coll;
 
 };  // class Collider
 
-  
+
 /**
  * Word list and hashers to test.
  */
-class Dictionary {
+class Dictionary
+{
 public:
   /** Constructor. */
   Dictionary ()
@@ -298,22 +297,20 @@
   {
     if (phrase.size () == 0)
       {
-        return ;
+        return;
       }
 
     int newPhrases = 0;
-    for (std::vector <Collider>::iterator it = m_hashes.begin ();
-           it != m_hashes.end ();
-           ++it)
-        {
-          newPhrases += it->Add (phrase);
-        }
-
-      if (newPhrases)
-        {
-          ++m_nphrases;
-          m_words.push_back (phrase);
-        }
+    for (auto & collider : m_hashes)
+      {
+        newPhrases += collider.Add (phrase);
+      }
+
+    if (newPhrases)
+      {
+        ++m_nphrases;
+        m_words.push_back (phrase);
+      }
   }  // Add ()
 
   /**
@@ -325,10 +322,10 @@
    *  \f[
    *     E(collisions)  =  n - k + k (1 - 1/k)^n
    *  \f]
-   *               
+   *
    *  where <i>n</i> is the number of entries in the table, and
    *  <i>k</i> is the number of buckets.
-   * 
+   *
    *  This form is numerically unstable for low collision rates.
    *  Expanding for large \f$ k \f$ we get
    *
@@ -349,7 +346,7 @@
    *                         \right]}
    *            \right\}
    * \f}
-   * 
+   *
    *   For simplicity, we'll use the first two terms
    *   of the second form.
    */
@@ -362,9 +359,9 @@
     long double k64 = static_cast<long double> (0xFFFFFFFFFFFFFFFFULL);
 
     long double n = m_nphrases;
-    long double Ec32 = n * (n - 1) / ( 2 * k32) * (1 - (n - 2)/(3 * k32));
-    long double Ec64 = n * (n - 1) / ( 2 * k64) * (1 - (n - 2)/(3 * k64));
-      
+    long double Ec32 = n * (n - 1) / ( 2 * k32) * (1 - (n - 2) / (3 * k32));
+    long double Ec64 = n * (n - 1) / ( 2 * k64) * (1 - (n - 2) / (3 * k64));
+
     // Output collisions
     std::cout << "" << std::endl;
     std::cout << "Number of words or phrases: " << n << std::endl;
@@ -373,18 +370,16 @@
     std::cout << "Expected number of collisions: (64-bit table) " << Ec64
               << std::endl;
   }  // ReportExpectedCollisions
-  
-    
+
+
   /** Print the collisions for each Collider. */
   void Report () const
   {
     ReportExpectedCollisions ();
-    
-    for (std::vector <Collider>::const_iterator it = m_hashes.begin ();
-         it != m_hashes.end ();
-         ++it)
+
+    for (auto collider : m_hashes)
       {
-        it->Report ();
+        collider.Report ();
       }
   }  // Report ()
 
@@ -393,34 +388,32 @@
    *
    * \param [in] hindex Index of the hash Collider to use.
    */
-  void TimeOne (const int hindex)
+  void TimeOne (const Collider & collider)
   {
     // Hashing speed
     uint32_t reps = 100;
-    Hasher h = m_hashes[hindex].m_hash;
+    Hasher h = collider.m_hash;
     int start = clock ();
-    for (std::vector<std::string>::const_iterator w = m_words.begin ();
-         w != m_words.end();
-         ++w)
+    for (auto const & word : m_words)
       {
         for (uint32_t i = 0; i < reps; ++i)
           {
-            h.clear ().GetHash32 (*w);
+            h.clear ().GetHash32 (word);
           }
       }
     int stop = clock ();
     double delta = stop - start;
     double per = 1e9 * delta / (m_nphrases * reps * CLOCKS_PER_SEC);
-    
+
     std::cout << std::left
-              << std::setw (32) << m_hashes[hindex].GetName ()
+              << std::setw (32) << collider.GetName ()
               << std::right
               << std::setw (10) << m_nphrases
               << std::setw (10) << reps
               << std::setw (10) << stop - start
               << std::setw (12) << per
               << std::endl;
-    
+
   }  // TimeOne ()
 
   /** Report the execution time of each hash across the entire Dictionary. */
@@ -435,10 +428,10 @@
               << std::setw (10) << "Ticks"
               << std::setw (12) << "ns/hash"
               << std::endl;
-    
-    for (unsigned int i = 0; i < m_hashes.size (); ++i)
+
+    for (auto const & collider : m_hashes)
       {
-        TimeOne (i);
+        TimeOne (collider);
       }
   }  // Time ()
 
@@ -457,12 +450,12 @@
 {
 
 public:
-  
+
   /**
    * CommandLine callback function to add a file argument to the list.
    *
    * \param [in] file The word file to add.
-   * \return true Tf the file is new to the list.
+   * \return \c true If the file is new to the list.
    */
   bool Add (const std::string file)
   {
@@ -470,10 +463,16 @@
       {
         m_files.push_back (file);
       }
-    
+
     return true;
   }
 
+  /** \return The default dictionary path. */
+  static std::string GetDefault (void)
+  {
+    return "/usr/share/dict/words";
+  }
+
   /**
    * Add phrases from the files into the dict.
    *
@@ -483,40 +482,37 @@
   {
     if (m_files.size () == 0)
       {
-        Add ("/usr/share/dict/web2");
+        Add (GetDefault ());
       }
 
     std::cout << "Hashing the dictionar"
               << (m_files.size () == 1 ? "y" : "ies")
               << std::endl;
 
-    for (std::vector <std::string>::const_iterator it = m_files.begin ();
-         it != m_files.end ();
-         ++it)
+    for (auto dictFile : m_files)
       {
-        std::string dictFile = *it;
         std::cout << "Dictionary file: " << dictFile << std::endl;
-  
+
         // Find collisions
-  
+
         // Open the file
         std::ifstream dictStream;
         dictStream.open (dictFile.c_str () );
-        if (! dictStream.is_open () )
+        if (!dictStream.is_open () )
           {
             std::cerr << "Failed to open dictionary file."
                       << "'" << dictFile << "'"
                       << std::endl;
             continue;
           }
-    
+
         while (dictStream.good () )
           {
             std::string phrase;
             getline (dictStream, phrase);
             dict.Add (phrase);
           }  // while
-        
+
         dictStream.close ();
 
       }  // for m_files
@@ -538,7 +534,7 @@
 using namespace ns3;
 using namespace ns3::Hash::Example;
 
-int 
+int
 main (int argc, char *argv[])
 {
   std::cout << std::endl;
@@ -547,11 +543,13 @@
   bool timing = false;
   DictFiles files;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Usage ("Find hash collisions in the dictionary.");
   cmd.AddValue ("dict", "Dictionary file to hash",
-                MakeCallback(&DictFiles::Add,
-                             &files));
+                MakeCallback (&DictFiles::Add,
+                              &files),
+                DictFiles::GetDefault ());
+
   cmd.AddValue ("time", "Run timing test", timing);
   cmd.Parse (argc, argv);
 
@@ -569,11 +567,11 @@
   dict.Add ( Collider ("Murmur3",
                        Hasher ( Create<Hash::Function::Murmur3> () ),
                        Collider::Bits64));
-  
+
   files.ReadInto (dict);
-  
+
   dict.Report ();
-  
+
   if (timing)
     {
       dict.Time ();
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/examples/main-callback.cc ns-3.31/src/core/examples/main-callback.cc
--- ns-3.30.1/src/core/examples/main-callback.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/examples/main-callback.cc	2020-06-27 17:38:30.000000000 -0700
@@ -34,7 +34,7 @@
 using namespace ns3;
 
 namespace {
-  
+
 /**
  * Example Callback function.
  *
@@ -50,7 +50,8 @@
 }
 
 /** Example Callback class. */
-class MyCb {
+class MyCb
+{
 public:
   /**
    * Example Callback class method.
@@ -58,7 +59,8 @@
    * \param [in] a The argument.
    * \returns -5
    */
-  int CbTwo (double a) {
+  int CbTwo (double a)
+  {
     std::cout << "invoke cbTwo a=" << a << std::endl;
     return -5;
   }
@@ -69,9 +71,9 @@
 
 int main (int argc, char *argv[])
 {
-  CommandLine cmd;
-  cmd.Parse(argc, argv);
-  
+  CommandLine cmd (__FILE__);
+  cmd.Parse (argc, argv);
+
   // return type: double
   // first arg type: double
   // second arg type: double
@@ -108,14 +110,14 @@
   NS_ASSERT (two.IsNull ());
 
 #if 0
-  // The below type mismatch between CbOne() and callback two will fail to 
+  // The below type mismatch between CbOne() and callback two will fail to
   // compile if enabled in this program.
   two = MakeCallback (&CbOne);
 #endif
 
 #if 0
   // This is a slightly different example, in which the code will compile
-  // but because callbacks are type-safe, will cause a fatal error at runtime 
+  // but because callbacks are type-safe, will cause a fatal error at runtime
   // (the difference here is that Assign() is called instead of operator=)
   Callback<void, float> three;
   three.Assign (MakeCallback (&CbOne));
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/examples/main-ptr.cc ns-3.31/src/core/examples/main-ptr.cc
--- ns-3.30.1/src/core/examples/main-ptr.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/examples/main-ptr.cc	2020-06-27 17:38:30.000000000 -0700
@@ -48,7 +48,7 @@
 {
   std::cout << "PtrExample constructor" << std::endl;
 }
-PtrExample::~PtrExample()
+PtrExample::~PtrExample ()
 {
   std::cout << "PtrExample destructor" << std::endl;
 }
@@ -93,11 +93,11 @@
 
 int main (int argc, char *argv[])
 {
-  CommandLine cmd;
-  cmd.Parse(argc, argv);
-  
+  CommandLine cmd (__FILE__);
+  cmd.Parse (argc, argv);
+
   {
-    // Create a new object of type PtrExample, store it in global 
+    // Create a new object of type PtrExample, store it in global
     // variable g_ptr
     Ptr<PtrExample> p = CreateObject<PtrExample> ();
     p->Method ();
@@ -106,7 +106,7 @@
   }
 
   {
-    // Create a new object of type PtrExample, store it in global 
+    // Create a new object of type PtrExample, store it in global
     // variable g_ptr, get a hold on the previous PtrExample object.
     Ptr<PtrExample> p = CreateObject<PtrExample> ();
     Ptr<PtrExample> prev = StorePtr (p);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/examples/main-random-variable-stream.cc ns-3.31/src/core/examples/main-random-variable-stream.cc
--- ns-3.30.1/src/core/examples/main-random-variable-stream.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/examples/main-random-variable-stream.cc	2020-06-27 17:38:30.000000000 -0700
@@ -37,22 +37,26 @@
 using namespace ns3;
 
 namespace {
-  
+
 /**
  * Round a double number to the given precision.
- * For example, `dround(0.234, 0.1) = 0.2` 
+ * For example, `dround(0.234, 0.1) = 0.2`
  * and `dround(0.257, 0.1) = 0.3`
  * \param [in] number The number to round.
  * \param [in] precision The least significant digit to keep in the rounding.
- * \returns \p number rounded to \p precision.
+ * \returns \pname{number} rounded to \pname{precision}.
  */
 double dround (double number, double precision)
 {
   number /= precision;
   if (number >= 0)
-    number = std::floor (number + 0.5);
+    {
+      number = std::floor (number + 0.5);
+    }
   else
-    number = std::ceil (number - 0.5);
+    {
+      number = std::ceil (number - 0.5);
+    }
   number *= precision;
   return number;
 }
@@ -68,13 +72,13 @@
  */
 static GnuplotDataset
 Histogram (Ptr<RandomVariableStream> rndvar,
-            unsigned int probes, double precision,
-            const std::string& title, bool impulses = false)
+           unsigned int probes, double precision,
+           const std::string& title, bool impulses = false)
 {
   typedef std::map<double, unsigned int> histogram_maptype;
   histogram_maptype histogram;
 
-  for(unsigned int i = 0; i < probes; ++i)
+  for (unsigned int i = 0; i < probes; ++i)
     {
       double val = dround ( rndvar->GetValue (), precision );
 
@@ -89,8 +93,8 @@
       data.SetStyle (Gnuplot2dDataset::IMPULSES);
     }
 
-  for(histogram_maptype::const_iterator hi = histogram.begin ();
-      hi != histogram.end (); ++hi)
+  for (histogram_maptype::const_iterator hi = histogram.begin ();
+       hi != histogram.end (); ++hi)
     {
       data.Add (hi->first, (double)hi->second / (double)probes / precision);
     }
@@ -103,9 +107,9 @@
 
 int main (int argc, char *argv[])
 {
-  CommandLine cmd;
-  cmd.Parse(argc, argv);
-  
+  CommandLine cmd (__FILE__);
+  cmd.Parse (argc, argv);
+
   unsigned int probes = 1000000;
   double precision = 0.01;
 
@@ -122,7 +126,7 @@
     x->SetAttribute ("Max", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x, probes, precision,
-                                  "UniformRandomVariable [0.0 .. 1.0)") );
+                                 "UniformRandomVariable [0.0 .. 1.0)") );
     plot.AddDataset ( Gnuplot2dFunction ("1.0",
                                          "0 <= x && x <= 1 ? 1.0 : 0") );
 
@@ -139,7 +143,7 @@
     x1->SetAttribute ("Mean", DoubleValue (0.5));
 
     plot.AddDataset ( Histogram (x1, probes, precision,
-                                  "ExponentialRandomVariable m=0.5") );
+                                 "ExponentialRandomVariable m=0.5") );
 
     plot.AddDataset ( Gnuplot2dFunction ("ExponentialDistribution mean 0.5",
                                          "ExpDist(x, 0.5)") );
@@ -148,7 +152,7 @@
     x2->SetAttribute ("Mean", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x2, probes, precision,
-                                  "ExponentialRandomVariable m=1") );
+                                 "ExponentialRandomVariable m=1") );
 
     plot.AddDataset ( Gnuplot2dFunction ("ExponentialDistribution mean 1.0",
                                          "ExpDist(x, 1.0)") );
@@ -157,7 +161,7 @@
     x3->SetAttribute ("Mean", DoubleValue (1.5));
 
     plot.AddDataset ( Histogram (x3, probes, precision,
-                                  "ExponentialRandomVariable m=1.5") );
+                                 "ExponentialRandomVariable m=1.5") );
 
     plot.AddDataset ( Gnuplot2dFunction ("ExponentialDistribution mean 1.5",
                                          "ExpDist(x, 1.5)") );
@@ -175,21 +179,21 @@
     x1->SetAttribute ("Shape", DoubleValue (1.5));
 
     plot.AddDataset ( Histogram (x1, probes, precision,
-                                  "ParetoRandomVariable scale=1.0 shape=1.5") );
+                                 "ParetoRandomVariable scale=1.0 shape=1.5") );
 
     Ptr<ParetoRandomVariable> x2 = CreateObject<ParetoRandomVariable> ();
     x2->SetAttribute ("Scale", DoubleValue (1.0));
     x2->SetAttribute ("Shape", DoubleValue (2.0));
 
     plot.AddDataset ( Histogram (x2, probes, precision,
-                                  "ParetoRandomVariable scale=1.0 shape=2.0") );
+                                 "ParetoRandomVariable scale=1.0 shape=2.0") );
 
     Ptr<ParetoRandomVariable> x3 = CreateObject<ParetoRandomVariable> ();
     x3->SetAttribute ("Scale", DoubleValue (1.0));
     x3->SetAttribute ("Shape", DoubleValue (2.5));
 
     plot.AddDataset ( Histogram (x3, probes, precision,
-                                  "ParetoRandomVariable scale=1.0 shape=2.5") );
+                                 "ParetoRandomVariable scale=1.0 shape=2.5") );
 
     gnuplots.AddPlot (plot);
   }
@@ -204,21 +208,21 @@
     x1->SetAttribute ("Shape", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x1, probes, precision,
-                                  "WeibullRandomVariable scale=1.0 shape=1.0") );
+                                 "WeibullRandomVariable scale=1.0 shape=1.0") );
 
     Ptr<WeibullRandomVariable> x2 = CreateObject<WeibullRandomVariable> ();
     x2->SetAttribute ("Scale", DoubleValue (1.0));
     x2->SetAttribute ("Shape", DoubleValue (2.0));
 
     plot.AddDataset ( Histogram (x2, probes, precision,
-                                  "WeibullRandomVariable scale=1.0 shape=2.0") );
+                                 "WeibullRandomVariable scale=1.0 shape=2.0") );
 
     Ptr<WeibullRandomVariable> x3 = CreateObject<WeibullRandomVariable> ();
     x3->SetAttribute ("Scale", DoubleValue (1.0));
     x3->SetAttribute ("Shape", DoubleValue (3.0));
 
     plot.AddDataset ( Histogram (x3, probes, precision,
-                                  "WeibullRandomVariable scale=1.0 shape=3.0") );
+                                 "WeibullRandomVariable scale=1.0 shape=3.0") );
 
     gnuplots.AddPlot (plot);
   }
@@ -234,7 +238,7 @@
     x1->SetAttribute ("Variance", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x1, probes, precision,
-                                  "NormalRandomVariable m=0.0 v=1.0") );
+                                 "NormalRandomVariable m=0.0 v=1.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("NormalDist {/Symbol m}=0.0 {/Symbol s}=1.0",
                                          "NormalDist(x,0.0,1.0)") );
@@ -244,7 +248,7 @@
     x2->SetAttribute ("Variance", DoubleValue (2.0));
 
     plot.AddDataset ( Histogram (x2, probes, precision,
-                                  "NormalRandomVariable m=0.0 v=2.0") );
+                                 "NormalRandomVariable m=0.0 v=2.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("NormalDist {/Symbol m}=0.0 {/Symbol s}=sqrt(2.0)",
                                          "NormalDist(x,0.0,sqrt(2.0))") );
@@ -254,7 +258,7 @@
     x3->SetAttribute ("Variance", DoubleValue (3.0));
 
     plot.AddDataset ( Histogram (x3, probes, precision,
-                                  "NormalRandomVariable m=0.0 v=3.0") );
+                                 "NormalRandomVariable m=0.0 v=3.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("NormalDist {/Symbol m}=0.0 {/Symbol s}=sqrt(3.0)",
                                          "NormalDist(x,0.0,sqrt(3.0))") );
@@ -313,7 +317,7 @@
     x1->SetAttribute ("Sigma", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x1, probes, precision,
-                                  "LogNormalRandomVariable m=0.0 s=1.0") );
+                                 "LogNormalRandomVariable m=0.0 s=1.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("LogNormalDist(x, 0.0, 1.0)",
                                          "LogNormalDist(x, 0.0, 1.0)") );
@@ -323,14 +327,14 @@
     x2->SetAttribute ("Sigma", DoubleValue (0.5));
 
     plot.AddDataset ( Histogram (x2, probes, precision,
-                                  "LogNormalRandomVariable m=0.0 s=0.5") );
+                                 "LogNormalRandomVariable m=0.0 s=0.5") );
 
     Ptr<LogNormalRandomVariable> x3 = CreateObject<LogNormalRandomVariable> ();
     x3->SetAttribute ("Mu", DoubleValue (0.0));
     x3->SetAttribute ("Sigma", DoubleValue (0.25));
 
     plot.AddDataset ( Histogram (x3, probes, precision,
-                                  "LogNormalRandomVariable m=0.0 s=0.25") );
+                                 "LogNormalRandomVariable m=0.0 s=0.25") );
 
     plot.AddDataset ( Gnuplot2dFunction ("LogNormalDist(x, 0.0, 0.25)",
                                          "LogNormalDist(x, 0.0, 0.25)") );
@@ -340,14 +344,14 @@
     x4->SetAttribute ("Sigma", DoubleValue (0.125));
 
     plot.AddDataset ( Histogram (x4, probes, precision,
-                                  "LogNormalRandomVariable m=0.0 s=0.125") );
+                                 "LogNormalRandomVariable m=0.0 s=0.125") );
 
     Ptr<LogNormalRandomVariable> x5 = CreateObject<LogNormalRandomVariable> ();
     x5->SetAttribute ("Mu", DoubleValue (0.0));
     x5->SetAttribute ("Sigma", DoubleValue (2.0));
 
     plot.AddDataset ( Histogram (x5, probes, precision,
-                                  "LogNormalRandomVariable m=0.0 s=2.0") );
+                                 "LogNormalRandomVariable m=0.0 s=2.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("LogNormalDist(x, 0.0, 2.0)",
                                          "LogNormalDist(x, 0.0, 2.0)") );
@@ -357,7 +361,7 @@
     x6->SetAttribute ("Sigma", DoubleValue (2.5));
 
     plot.AddDataset ( Histogram (x6, probes, precision,
-                                  "LogNormalRandomVariable m=0.0 s=2.5") );
+                                 "LogNormalRandomVariable m=0.0 s=2.5") );
 
     gnuplots.AddPlot (plot);
   }
@@ -373,7 +377,7 @@
     x1->SetAttribute ("Mean", DoubleValue (0.5));
 
     plot.AddDataset ( Histogram (x1, probes, precision,
-                                  "TriangularRandomVariable [0.0 .. 1.0) m=0.5") );
+                                 "TriangularRandomVariable [0.0 .. 1.0) m=0.5") );
 
     Ptr<TriangularRandomVariable> x2 = CreateObject<TriangularRandomVariable> ();
     x2->SetAttribute ("Min", DoubleValue (0.0));
@@ -381,7 +385,7 @@
     x2->SetAttribute ("Mean", DoubleValue (0.4));
 
     plot.AddDataset ( Histogram (x2, probes, precision,
-                                  "TriangularRandomVariable [0.0 .. 1.0) m=0.4") );
+                                 "TriangularRandomVariable [0.0 .. 1.0) m=0.4") );
 
     Ptr<TriangularRandomVariable> x3 = CreateObject<TriangularRandomVariable> ();
     x3->SetAttribute ("Min", DoubleValue (0.0));
@@ -389,7 +393,7 @@
     x3->SetAttribute ("Mean", DoubleValue (0.65));
 
     plot.AddDataset ( Histogram (x3, probes, precision,
-                                  "TriangularRandomVariable [0.0 .. 1.0) m=0.65") );
+                                 "TriangularRandomVariable [0.0 .. 1.0) m=0.65") );
 
     gnuplots.AddPlot (plot);
   }
@@ -408,7 +412,7 @@
     x1->SetAttribute ("Beta", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x1, probes, precision,
-                                  "GammaRandomVariable a=1.0 b=1.0") );
+                                 "GammaRandomVariable a=1.0 b=1.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("{/Symbol g}(x, 1.0, 1.0)",
                                          "GammaDist(x, 1.0, 1.0)") );
@@ -418,7 +422,7 @@
     x2->SetAttribute ("Beta", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x2, probes, precision,
-                                  "GammaRandomVariable a=1.5 b=1.0") );
+                                 "GammaRandomVariable a=1.5 b=1.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("{/Symbol g}(x, 1.5, 1.0)",
                                          "GammaDist(x, 1.5, 1.0)") );
@@ -428,7 +432,7 @@
     x3->SetAttribute ("Beta", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x3, probes, precision,
-                                  "GammaRandomVariable a=2.0 b=1.0") );
+                                 "GammaRandomVariable a=2.0 b=1.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("{/Symbol g}(x, 2.0, 1.0)",
                                          "GammaDist(x, 2.0, 1.0)") );
@@ -438,7 +442,7 @@
     x4->SetAttribute ("Beta", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x4, probes, precision,
-                                  "GammaRandomVariable a=4.0 b=1.0") );
+                                 "GammaRandomVariable a=4.0 b=1.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("{/Symbol g}(x, 4.0, 1.0)",
                                          "GammaDist(x, 4.0, 1.0)") );
@@ -448,7 +452,7 @@
     x5->SetAttribute ("Beta", DoubleValue (2.0));
 
     plot.AddDataset ( Histogram (x5, probes, precision,
-                                  "GammaRandomVariable a=2.0 b=2.0") );
+                                 "GammaRandomVariable a=2.0 b=2.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("{/Symbol g}(x, 2.0, 2.0)",
                                          "GammaDist(x, 2.0, 2.0)") );
@@ -458,7 +462,7 @@
     x6->SetAttribute ("Beta", DoubleValue (3.0));
 
     plot.AddDataset ( Histogram (x6, probes, precision,
-                                  "GammaRandomVariable a=2.5 b=3.0") );
+                                 "GammaRandomVariable a=2.5 b=3.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("{/Symbol g}(x, 2.5, 3.0)",
                                          "GammaDist(x, 2.5, 3.0)") );
@@ -468,7 +472,7 @@
     x7->SetAttribute ("Beta", DoubleValue (4.5));
 
     plot.AddDataset ( Histogram (x7, probes, precision,
-                                  "GammaRandomVariable a=2.5 b=4.5") );
+                                 "GammaRandomVariable a=2.5 b=4.5") );
 
     plot.AddDataset ( Gnuplot2dFunction ("{/Symbol g}(x, 2.5, 4.5)",
                                          "GammaDist(x, 2.5, 4.5)") );
@@ -489,7 +493,7 @@
     x1->SetAttribute ("Lambda", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x1, probes, precision,
-                                  "ErlangRandomVariable k=1 {/Symbol l}=1.0") );
+                                 "ErlangRandomVariable k=1 {/Symbol l}=1.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("Erlang(x, 1, 1.0)",
                                          "ErlangDist(x, 1, 1.0)") );
@@ -499,7 +503,7 @@
     x2->SetAttribute ("Lambda", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x2, probes, precision,
-                                  "ErlangRandomVariable k=2 {/Symbol l}=1.0") );
+                                 "ErlangRandomVariable k=2 {/Symbol l}=1.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("Erlang(x, 2, 1.0)",
                                          "ErlangDist(x, 2, 1.0)") );
@@ -509,7 +513,7 @@
     x3->SetAttribute ("Lambda", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x3, probes, precision,
-                                  "ErlangRandomVariable k=3 {/Symbol l}=1.0") );
+                                 "ErlangRandomVariable k=3 {/Symbol l}=1.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("Erlang(x, 3, 1.0)",
                                          "ErlangDist(x, 3, 1.0)") );
@@ -519,7 +523,7 @@
     x4->SetAttribute ("Lambda", DoubleValue (1.0));
 
     plot.AddDataset ( Histogram (x4, probes, precision,
-                                  "ErlangRandomVariable k=5 {/Symbol l}=1.0") );
+                                 "ErlangRandomVariable k=5 {/Symbol l}=1.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("Erlang(x, 5, 1.0)",
                                          "ErlangDist(x, 5, 1.0)") );
@@ -529,7 +533,7 @@
     x5->SetAttribute ("Lambda", DoubleValue (2.0));
 
     plot.AddDataset ( Histogram (x5, probes, precision,
-                                  "ErlangRandomVariable k=2 {/Symbol l}=2.0") );
+                                 "ErlangRandomVariable k=2 {/Symbol l}=2.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("Erlang(x, 2, 2.0)",
                                          "ErlangDist(x, 2, 2.0)") );
@@ -539,7 +543,7 @@
     x6->SetAttribute ("Lambda", DoubleValue (3.0));
 
     plot.AddDataset ( Histogram (x6, probes, precision,
-                                  "ErlangRandomVariable k=2 {/Symbol l}=3.0") );
+                                 "ErlangRandomVariable k=2 {/Symbol l}=3.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("Erlang(x, 2, 3.0)",
                                          "ErlangDist(x, 2, 3.0)") );
@@ -549,7 +553,7 @@
     x7->SetAttribute ("Lambda", DoubleValue (5.0));
 
     plot.AddDataset ( Histogram (x7, probes, precision,
-                                  "ErlangRandomVariable k=2 {/Symbol l}=5.0") );
+                                 "ErlangRandomVariable k=2 {/Symbol l}=5.0") );
 
     plot.AddDataset ( Gnuplot2dFunction ("Erlang(x, 2, 5.0)",
                                          "ErlangDist(x, 2, 5.0)") );
